"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FakeListener = void 0;
const promises_1 = require("node:timers/promises");
class FakeListener {
    eventHandlerId = this.constructor.name;
    receivedEvents = [];
    delay;
    constructor(delayMs) {
        this.receivedEvents = [];
        this.delay = delayMs ?? 0;
    }
    async handleEvent(event) {
        if (this.delay > 0)
            await (0, promises_1.setTimeout)(this.delay);
        this.receivedEvents.push(event);
    }
}
exports.FakeListener = FakeListener;
//# sourceMappingURL=FakeListener.js.map